/**
 * cheerio组件（服务端jquery，用于解析页面元素)
 */
const chokidar = require('chokidar');

const Log = require('./log');

let watcher;

module.exports = {
  /**
   * init
   * @param watchPaths
   */
  init(watchPaths) {
    watcher = chokidar.watch(watchPaths, {
      ignored: /(^|[\/\\])\../, // ignore dotfiles
    });

    watcher.on('ready', () => Log.info(`Initial scan complete. Ready for changes. watchPaths: ${watchPaths}`));
  },

  /**
   * on
   * @param name
   * @param event
   */
  on(name, event) {
    watcher.on(name, event);
    return this;
  },
};
